### Method

# FwupdPlugin Device load_event

since: 2.0.0

#### Declaration [src]

    FuDeviceEvent*
    fu_device_load_event (
      FuDevice* self,
      const gchar* id,
      GError** error
    )

#### Description [src]

Loads a new event with a specific ID from the device.

Available since: 2.0.0

#### Parameters

`id`

  Type: `const gchar*`

  The event ID, e.g. `usb:AA:AA:06`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `FuDeviceEvent`

A `FuDeviceEvent`.

The returned data is owned by the instance.
The return value can be `NULL`.